%define rel 1

Name:           kf6-rpm-macros
Version: 6.14.0
Release:        %mkrel %{rel}
Summary:        Base install macros for KF 6
Group:          Development/KDE and Qt
License:        GPLv2
URL:            https://www.mageia.org
Source:         macros.kf6
BuildArch:      noarch

Requires:       cmake
Requires:       mageia-release
Requires:       extra-cmake-modules >= %version
Requires:       git-core

# Needed to build HTML docs
Requires:       libxml2-utils
Requires:       docbook-dtds
Requires:       docbook-style-xsl

%description
Base install macros for KF 6.

%files
%{_rpmmacrodir}/macros.kf6

%install
install -d -m 755 %{buildroot}%{_rpmmacrodir}
install -p -m 644 %SOURCE0 %{buildroot}%{_rpmmacrodir}/macros.kf6

sed -e 's,VERSION,%{version},g' -i  %{buildroot}%{_rpmmacrodir}/macros.kf6


%changelog
* Sun May 11 2025 daviddavid <daviddavid> 6.14.0-1.mga10
+ Revision: 2182365
- New version 6.14.0

* Sun Apr 13 2025 daviddavid <daviddavid> 6.13.0-1.mga10
+ Revision: 2175088
- New version 6.13.0

* Sat Mar 15 2025 daviddavid <daviddavid> 6.12.0-1.mga10
+ Revision: 2164100
- New version 6.12.0

* Thu Jan 09 2025 daviddavid <daviddavid> 6.10.0-1.mga10
+ Revision: 2136366
- New version 6.10.0

* Fri Dec 20 2024 daviddavid <daviddavid> 6.9.0-1.mga10
+ Revision: 2126551
- New version 6.9.0

* Sat Nov 09 2024 daviddavid <daviddavid> 6.8.0-1.mga10
+ Revision: 2113049
- New version 6.8.0

* Fri Oct 11 2024 daviddavid <daviddavid> 6.7.0-1.mga10
+ Revision: 2104723
- New version 6.7.0
- change macro kf6_services for "/usr/share/kio/servicemenus/"

* Sat Sep 14 2024 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 2095893
- New version 6.6.0

* Fri Aug 09 2024 daviddavid <daviddavid> 6.5.0-1.mga10
+ Revision: 2084335
- New version 6.5.0

* Fri Jun 07 2024 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2070507
- New version 6.3.0

* Sat May 11 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2063363
- New version 6.2.0

* Sat Apr 13 2024 daviddavid <daviddavid> 6.1.0-1.mga10
+ Revision: 2056797
- New version 6.1.0

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2044895
- New version 6.0.0
- New version 6.0

* Tue Feb 06 2024 neoclust <neoclust> 5.249.0-1.mga10
+ Revision: 2037455
- New version 5.249.0

* Wed Jan 10 2024 neoclust <neoclust> 5.248.0-1.mga10
+ Revision: 2029547
- New version 5.248.0

* Mon Jan 01 2024 neoclust <neoclust> 5.247.0-1.mga10
+ Revision: 2025473
- New version 5.247.0
- New version 5.246.0

* Wed Nov 22 2023 daviddavid <daviddavid> 5.245.0-2.mga10
+ Revision: 2009207
- add git-core as required package

* Fri Nov 10 2023 daviddavid <daviddavid> 5.245.0-1.mga10
+ Revision: 2005531
- initial package kf6-rpm-macros

